export default abstract class StorageProvider<ValueType> {
  abstract setData(key: string, value: ValueType): void;

  abstract getData(key: string): ValueType | null;

  abstract deleteData(key: string): void;
}
