import React from 'react';
import PlacesModel from '~/business-logic/core/places/common/model/placesModel';

export type placesListReturnType = {
  selectedRowId: string;
  setSelectedRowId: React.Dispatch<React.SetStateAction<string>>;
  placesData: {
    data: PlacesModel | undefined;
    isLoading: boolean;
    error?: string | undefined;
  };
};
