import { INewUserData } from '../../../create-account/data/dto/protocols';
import { CreateAccountROReturnType } from '../../../create-account/data/response-object/protocols';

export type ICreateNewProfileData = CreateAccountROReturnType & INewUserData;

export type CreateProfileDtoReturnType = {
  account_id: string;
  first_name: string;
  last_name: string;
};

export type CreateProfileDtoType = (userAccount: ICreateNewProfileData) => CreateProfileDtoReturnType;
