import OtpAuthRepo, { OtpHttpHandler } from '../data/repository/otpAuthRepo';
import OtpAuthUsecase from '../usecase/otpAuthUsecase';

const otpAuthInfra = (httpHandler: OtpHttpHandler) => {
  // make the repo ready
  const repository = new OtpAuthRepo(httpHandler);
  // make the usecase ready
  const usecase = new OtpAuthUsecase(repository);
  // return method
  return usecase;
};

export default otpAuthInfra;
